# `GStreamer_jll.jl` (v1.20.3+0)

[![deps](https://juliahub.com/docs/GStreamer_jll/deps.svg)](https://juliahub.com/ui/Packages/GStreamer_jll/fnXfi?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/52cec35492bc9e138b6c420cb5c4a5a0ee7b1b78/G/GStreamer/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `GStreamer_jll.jl` have been built from these sources:

* compressed archive: https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-1.20.3.tar.xz (SHA256 checksum: `607daf64bbbd5fb18af9d17e21c0d22c4d702fffe83b23cb22d1b1af2ca23a2a`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/52cec35492bc9e138b6c420cb5c4a5a0ee7b1b78/G/GStreamer/bundled)

## Platforms

`GStreamer_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Windows i686` (`i686-w64-mingw32`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `GStreamer_jll.jl`:

* [`Elfutils_jll`](https://github.com/JuliaBinaryWrappers/Elfutils_jll.jl)
* [`GMP_jll`](https://github.com/JuliaBinaryWrappers/GMP_jll.jl)
* [`GSL_jll`](https://github.com/JuliaBinaryWrappers/GSL_jll.jl)
* [`Glib_jll`](https://github.com/JuliaBinaryWrappers/Glib_jll.jl)
* [`LibUnwind_jll`](https://github.com/JuliaBinaryWrappers/LibUnwind_jll.jl)
* [`libcap_jll`](https://github.com/JuliaBinaryWrappers/libcap_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libgstbase`
* `LibraryProduct`: `libgstcheck`
* `LibraryProduct`: `libgstcontroller`
* `LibraryProduct`: `libgstnet`
* `LibraryProduct`: `libgstreamer`
* `ExecutableProduct`: `gst_inspect`
* `ExecutableProduct`: `gst_launch`
* `ExecutableProduct`: `gst_stats`
* `ExecutableProduct`: `gst_tester`
* `ExecutableProduct`: `gst_typefind`
